<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

defined("_JEXEC") or die('Restricted Access');
jimport('joomla.event.plugin');

class plgMassMail_filterJcs extends JPlugin
{

	var $result = array();

	function plgMassMail_FilterJcs(&$subject)
	{
		parent::__construct($subject);


	}

	function onRenderForm( $params = null)
	{
		$params = new JParameter($params);
		$text = new stdClass();
		$subscriptions = $this->getSubscriptions();
		/*	print "<pre>";
		print_r($subscriptions);
		print "</pre>"*/;
		$options = array();
		foreach ($subscriptions as $val)
		{
			$options[] = JHTML::_('select.option', $val->id, $val->category.'/'.$val->name);

		}
		$value = $params->toArray();
		$value = @$value['jcssubscriptions'];
		$text->title = JText::_('User filters by subscriptions');
		$text->form = '

		<table class="admintable" cellspacing="1" width="100%">
			<tr>
				<td width="150" class="key">
					<label for="subscriptions">'.
		JText::_( 'Include only users with subscriptions' ).' :
					</label>
				</td>
				<td>
					'.JHTML::_('select.genericlist',  $options, 'value_filter[jcssubscriptions][]', 'class="inputbox" MULTIPLE size="6"', 'value', 'text', $value, '' ).'
				</td>
			</tr>
		</table>';
		$ret[] =$text;
		return $ret;
	}

	function onLeftJoin()
	{

		$result = " LEFT JOIN #__jcs_user_subscr AS jcsfilter ON jcsfilter.user_id = u.id";
		return $result;
	}

	function onBuildWhere()
	{

		$subscriptions = JRequest::getVar('value_filter', array());
		$subscriptions = @$subscriptions['jcssubscriptions'];
		if (count($subscriptions)>0)
		{
			return  " (jcsfilter.subscription_id in (".@implode(', ',$subscriptions).")) > 0";
		}

	}

	function getSubscriptions()
	{
		$db = &JFactory::getDBO();
		$query = "SELECT s.*, c.title as category"
		. "\n       FROM `#__jcs_plans` AS s"
		. "\n  LEFT JOIN #__categories  AS c ON c.id = s.catid"
		. "\n   ORDER BY c.ordering, s.ordering"
		;

		$db->setQuery($query);
		$subscription = $db->loadObjectList();
		return $subscription;
	}

}
?>